#
# sgksx1.rb
#
# $Id: sgksx1.rb,v 1.1 2000/11/21 03:02:07 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu
include Math


#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::sgopn iws

#     / FIRST PAGE /
DCL::sgfrm
ux1, ux2, uy1, uy2 = DCL::sgqwnd
uxc=(ux1+ux2)/2
uyc=(uy1+uy2)/2

DCL::sglnzu(ux1, uy1, ux2, uy1, 1)
DCL::sglnzu(ux2, uy1, ux2, uy2, 1)
DCL::sglnzu(ux2, uy2, ux1, uy2, 1)
DCL::sglnzu(ux1, uy2, ux1, uy1, 1)
DCL::sgtxzu(uxc, uyc, 'SGKS TEST : PAGE 1', 0.03, 0, 0, 3)

#     / SECOND PAGE /
DCL::sglset('LFULL', true)
DCL::sgfrm
ux1, ux2, uy1, uy2 = DCL::sgqwnd
uxc=(ux1+ux2)/2
uyc=(uy1+uy2)/2

DCL::sglnzu(ux1, uy1, ux2, uy1, 1)
DCL::sglnzu(ux2, uy1, ux2, uy2, 1)
DCL::sglnzu(ux2, uy2, ux1, uy2, 1)
DCL::sglnzu(ux1, uy2, ux1, uy1, 1)
DCL::sgtxzv(uxc, uyc, 'SGKS TEST : PAGE 2', 0.03, 0, 0, 3)

DCL::sgcls

